Package com.trilead.ssh2.transport

# Class KexManager

java.lang.Object
com.trilead.ssh2.transport.KexManager

public class KexManager extends Object
KexManager.

## Constructor Summary

Constructors
Constructor
Description
`KexManager(TransportManager tm, ClientServerHello csh, CryptoWishList initialCwl, String hostname, int port, ServerHostKeyVerifier keyVerifier, SecureRandom rnd)`

## Method Summary

Modifier and Type
Method
Description
`static final void`
`checkKexAlgorithmList(String[] algos)`
`static final void`
`checkServerHostkeyAlgorithmsList(String[] algos)`
`static final String[]`
`getDefaultKexAlgorithmList()`
`static final String[]`
`getDefaultServerHostkeyAlgorithmList()`
`ConnectionInfo`
`getOrWaitForConnectionInfo(int minKexCount)`
`void`
`handleMessage(byte[] msg, int msglen)`
`void`
`initiateKEX(CryptoWishList cwl, DHGexParameters dhgex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KexManager

public KexManager(TransportManager tm, ClientServerHello csh, CryptoWishList initialCwl, String hostname, int port, ServerHostKeyVerifier keyVerifier, SecureRandom rnd)

## Method Details

### getOrWaitForConnectionInfo

public ConnectionInfo getOrWaitForConnectionInfo(int minKexCount) throws IOException

Throws:
  `IOException`

### initiateKEX

public void initiateKEX(CryptoWishList cwl, DHGexParameters dhgex) throws IOException

Throws:
  `IOException`

### getDefaultServerHostkeyAlgorithmList

public static final String[] getDefaultServerHostkeyAlgorithmList()

### checkServerHostkeyAlgorithmsList

public static final void checkServerHostkeyAlgorithmsList(String[] algos)

### getDefaultKexAlgorithmList

public static final String[] getDefaultKexAlgorithmList()

### checkKexAlgorithmList

public static final void checkKexAlgorithmList(String[] algos)

### handleMessage

public void handleMessage(byte[] msg, int msglen) throws IOException

Throws:
  `IOException`